/**
 * Created by tobias on 15.12.2014.
 */
var router = require('express').Router();
var config = require('../config/config.private');

var Twitter = require('twitter');

var client = new Twitter({
    consumer_key: config.twitter.consumerKey,
    consumer_secret: config.twitter.consumerSecret,
    access_token_key: config.twitter.accessToken,
    access_token_secret: config.twitter.accessTokenSecret
});


router.post('/searchTweets', function(request, response) {
    var query = request.body.query;
    client.get("search/tweets",
        {q:query},
        function(error,docs){
            response.json(docs);
    });
});

module.exports = router;
